org.springframework.core

## Interface ConcurrentMap

- All Superinterfaces:
    Map

  Deprecated.
  as of Spring 3.0, since standard `ConcurrentMap` is available on Java 5+ anyway

      @Deprecated
      public interface ConcurrentMap
      extends Map

  Common interface for a concurrent Map, as exposed by `CollectionFactory.createConcurrentMap(int)`. Mirrors `ConcurrentMap`, allowing to be backed by a JDK ConcurrentHashMap as well as a backport-concurrent ConcurrentHashMap.

  Check out the `ConcurrentMap javadoc` for details on the interface's methods.

  Since:
    2.5
  Author:
    Juergen Hoeller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `putIfAbsent(Object key, Object value)` Deprecated.
    `boolean` | `remove(Object key, Object value)` Deprecated.
    `Object` | `replace(Object key, Object value)` Deprecated.
    `boolean` | `replace(Object key, Object oldValue, Object newValue)` Deprecated.

    - ### Methods inherited from interface java.util.Map

      `clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Method Detail

    - #### putIfAbsent

          Object putIfAbsent(Object key,
                           Object value)

      Deprecated.

    - #### remove

          boolean remove(Object key,
                       Object value)

      Deprecated.

    - #### replace

          boolean replace(Object key,
                        Object oldValue,
                        Object newValue)

      Deprecated.

    - #### replace

          Object replace(Object key,
                       Object value)

      Deprecated.